<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.entity.issue.attached-to-requirement-versions'"
  [dialogId]="dialogId"
>
  <sqtm-core-dialog-body>
    @if (requirementVersions) {
      <div class="p-10">
        @for (
          requirementVersion of requirementVersions;
          track requirementVersion
        ) {
          <div>
            <a
              [routerLink]="getPath(requirementVersion)"
              (click)="closeDialog()"
            >
              {{ getLabel(requirementVersion) }}
            </a>
          </div>
        }
      </div>
    }
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
